# -----------------------------------------------------------------
# The configuration file for the 1E Client
#
# Lines prefixed by # are comments
#
# Please note this file should be saved using ANSI encoding.
# -----------------------------------------------------------------

# -----------------------------------------------------------------
# Logging Settings
# -----------------------------------------------------------------

# LogPath is the path and filename of the log file.
LogPath=C:\ProgramData\1E\Client\1E.Client.log

# LoggingLevel can be set to TRACE, DEBUG, INFO, WARN, ERROR, FATAL. The chosen setting will also output
# events at all the levels to the right hand side.
LoggingLevel=Info

# -----------------------------------------------------------------
# Communication Settings
# -----------------------------------------------------------------

# Tachyon Switch server name and port, in the format <fqdn>:<port>
# Can be a list, separated by semicolons. The Agent will attempt to connect to
# each configured Switch in turn until a successful connection is established.
# The special value "none" means that a Switch connection will not be attempted, and
# must be used if only module functionality is required.
Switch=none

# URL to (the root of) the background API - used as a default location for external content retrieval,
# in the format https://<fqdn>:<port>/Background.
# Can be a list, separated by semicolons; the first that works is used.
# The special value "none" means that a Background Channel connection will not be attempted, and
# must be used if only module functionality is required.
BackgroundChannelUrl=none

# Tachyon Switch connection security - one of "None" or "TLSv1.2"
# This setting should match the configuration of the corresponding Switch(es)
SSL=TLSv1.2

# Allow outgoing responses to the Switch to be compressed if beneficial. true/false.
EnablePayloadCompression=true

# Should the Agent permit/mandate use of a suitable client certificate when
# connecting to the Switch? Use "none", "optional" or "required".
AuthenticationPolicy=optional

# Optionally perform Certificate Revocation List (CRL) checking for:
# a) The certificate the Agent presents to the Switch for authentication.
# b) The certificate received from the Switch.
# c) The certificate received from the Background Channel Server.
# d) The certificates used for digital signing of the executables (Windows only).
# Valid settings are: off/soft/hard.
CRLChecks=soft

# The maximum time in seconds that can elapse between initialising the connection and having a fully established websocket.
ConnectionTimeout=30

# How long to wait before sending keep-alive on silent connection (random interval - 10m to 14m)
ConnectionKeepaliveTimeInSecondsMin=120
ConnectionKeepaliveTimeInSecondsMax=600

# How long to wait before retrying connection (random interval - 30s to 15m)
ConnectionRetryTimeInSecondsMin=30
ConnectionRetryTimeInSecondsMax=900

# Optionally enable integration with Nomad if it is running and is a suitable version. Only significant on Windows. true/false.
NomadContentDownloadEnabled=true

# If Nomad integration is enabled and active, the timeout in seconds for Tachyon jobs. Only significant on Windows.
NomadContentDownloadTimeoutSecs=600

# -----------------------------------------------------------------
# Agent settings
# -----------------------------------------------------------------

# How many worker threads to use when running instructions concurrently.
# This has a minimum value of 1 (all operations on the same thread) or a maximum
# value of 8.
WorkerThreads=2

# To prevent runaway queries in SELECT statements, stop and truncate (but do not fail) after this many rows
SelectRowsLimit=100000

# Some operations (incl. HTTP(S) downloads) are randomly time-staggered across
# Agents. This setting dictates the upper-limit on the default randomization
# period in seconds. Use '0' to instruct the Agent not to stagger operations by default.
DefaultStaggerRangeSeconds=300

# If true, enables receipt, evaluation and reporting of policy rules for this Agent
PolicyEnabled=true

# -----------------------------------------------------------------
# Module settings
# -----------------------------------------------------------------

# Inventory Module settings
Module.Inventory.Enabled=false

# Shopping Module Settings
Module.Shopping.Enabled=true
Module.Shopping.ShoppingCentralUrl=http://itshopping5/shopping
Module.Shopping.LoopbackExemptionEnabled=false

# Nomad Module Settings
Module.Nomad.Enabled=false

# WakeUp Module Settings
Module.WakeUp.Enabled=false
Module.WakeUp.ManageFirewallRules=true
MODULE.INTERACTION.DONOTDISTURB=false

MODULE.INTERACTION.ENABLED=false

MODULE.INTERACTION.NOTIFICATIONICON=true

MODULE.INTERACTION.PORT=7766

MODULE.INTERACTION.SAMPLEUSERINTERACTION=true

MODULE.PXEEVERYWHERE.ENABLED=false
